Robot Simulator of the Robotics Group for Self-Organization of Control: ForcedSphereConf Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ForcedSphereConf Class Reference

`#include <forcedsphere.h>`

List of all members.

## Public Member Functions
| ForcedSphereConf ()
| ~ForcedSphereConf ()
void | destroy ()
| deletes sensors
void | addSensor (Sensor *s)
| adds a sensor to the list of sensors
void | addMotor (Motor *m)
| adds a motor to the list of motors
## Public Attributes
double | radius
double | maxForce
| maximal force applied to the sphere
bool | speedDriven
| if true, the robot is powered to reach the given speed (force is calculated)
double | maxSpeed
| maximum speed of the robot when in speedDriven mode
short | drivenDimensions
| bit mask for selecting the dimensions for the forces (see ForcedSphere::Dimensions)
bool | cylinderBody
| whether to use a cylinder as body (like a puck) or the normal sphere
std::list< Sensor * > | sensors
| list of sensors that are mounted at the robot. (e.g. AxisOrientationSensor)
std::list< Motor * > | motors
| list of motors that are mounted at the robot. (e.g. Speaker)

## Constructor & Destructor Documentation

ForcedSphereConf | ( |  | ) |

~ForcedSphereConf | ( |  | ) |

## Member Function Documentation

void addMotor | ( | Motor * | m | ) | `[inline]`

adds a motor to the list of motors

void addSensor | ( | Sensor * | s | ) | `[inline]`

adds a sensor to the list of sensors

void destroy | ( |  | ) |

deletes sensors

## Member Data Documentation

bool cylinderBody

whether to use a cylinder as body (like a puck) or the normal sphere

short drivenDimensions

bit mask for selecting the dimensions for the forces (see ForcedSphere::Dimensions)

double maxForce

maximal force applied to the sphere

double maxSpeed

maximum speed of the robot when in speedDriven mode

std::list<Motor*> motors

list of motors that are mounted at the robot. (e.g. Speaker)

double radius

std::list<Sensor*> sensors

list of sensors that are mounted at the robot. (e.g. AxisOrientationSensor)

bool speedDriven

if true, the robot is powered to reach the given speed (force is calculated)

The documentation for this class was generated from the following files:

- forcedsphere.h
- forcedsphere.cpp